Bug 1445103 - [Ansible Tower] - Ansible Tower Jobs - relationships table - undefined method when clicking on Service
Summary: [Ansible Tower] - Ansible Tower Jobs - relationships table - undefined method...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: lgalis
QA Contact: Dmitry Misharov
URL:
Whiteboard: ui:tower
: 1445372 (view as bug list)
Depends On: 1435294
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-25 00:14 UTC by Satoe Imaishi
Modified: 2017-05-31 14:59 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1435294
Environment:
Last Closed: 2017-05-31 14:59:44 UTC
Category: ---
Cloudforms Team: Ansible
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-25 00:19:38 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/ac64d0995abcce76c751d640e25ac7b8432a15db

commit ac64d0995abcce76c751d640e25ac7b8432a15db
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Apr 24 17:32:04 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 24 20:17:41 2017 -0400

    Merge pull request #1102 from lgalis/fix_textual_provider_svg_and_controller_for_ansible_job
    
    Fix textual provider svg and controller for ansible job
    (cherry picked from commit 9110da310e72c7c85f8dcfbcb30f225fa6b07a32)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445103

 app/helpers/service_helper/textual_summary.rb      |  8 ++--
 .../helpers/service_helper/textual_summary_spec.rb | 45 ++++++++++++++++++++++
 2 files changed, 49 insertions(+), 4 deletions(-)

Comment 3 CFME Bot 2017-04-25 01:16:09 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/c4c76095ad3476c7406814f7fccd6093b08e3dcc

commit c4c76095ad3476c7406814f7fccd6093b08e3dcc
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Mon Apr 24 17:18:34 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 24 21:10:59 2017 -0400

    Merge pull request #14834 from lgalis/check_for_nil_aggregate_all_vm_memory_on_disk
    
    Use try for the multiplication with self["aggregate_all_vm_memory_on_disk]
    (cherry picked from commit 5e6c001a5dfd8cf2b7f3ecbeebfd40f5416cf809)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445103

 app/models/service/aggregation.rb       |  2 +-
 spec/models/service/aggregation_spec.rb | 11 +++++++++++
 2 files changed, 12 insertions(+), 1 deletion(-)
 create mode 100644 spec/models/service/aggregation_spec.rb

Comment 4 Roman Blanco 2017-04-25 14:38:19 UTC
*** Bug 1445372 has been marked as a duplicate of this bug. ***

Comment 5 Dmitry Misharov 2017-05-04 07:10:26 UTC
Verified in 5.8.0.13-rc2.20170502165848_0f98658. There is no more an exception when clicking on Service column in the Relationships table.

Comment 7 errata-xmlrpc 2017-05-31 14:59:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.